install_type = 'DVD'
root_password = 'password'
pre_release = True
hostname = 'sikulitest.localdomain'


if exists("anaconda_syslinux_prompt.png"):
    type('\n')

if install_type == 'DVD':
    wait("anaconda_dvdMediaCheck.png",180)
    type('\t\n')
    wait("anaconda_languageSelection.png", 120)
    # assume English (Default)
    click("anaconda_nextButton.png")
    wait("anaconda_selectKeyboard.png")
    # assume US English Keyboard (Default)
    click("anaconda_nextButton.png")

if pre_release:
    wait("anaconda_preReleaseWarning.png")
    click("anaconda_installAnywayButton.png")

wait("anaconda_storageDeviceTypePrompt.png")
click("anaconda_basicStorageDevices.png")
click("anaconda_nextButton.png")
waitVanish("anaconda_examiningStorageDevicesDialog.png")

# clear off disk if prompted
if exists("anaconda_storageDeviceClearWarningDialog.png"):
    click("anaconda_yesDiscardData.png")
    waitVanish("anaconda_examiningStorageDevicesDialog.png")
# configure network
wait("1329412353207.png",30)
type(hostname)
click("anaconda_configureNetwork.png")
wait("anaconda_networkConnectionsTitle.png",60)
click("anaconda_networkConfig_SystemEth0.png")
click("anaconda_networkConfig_editInterfaceButton.png")
wait("anaconda_networkConfig_editSystemEth0Dialog.png")
click("anaconda_NetworkConfig_interfaceConnectAutomatically.png")
click("anaconda_networkConfig_saveInterfaceConfig.png")
click("anaconda_networkConfig_closeNetworkConfigButton.png")
click("anaconda_nextButton.png")

# selecting timezone is going to be a PITA, just use the default
click("anaconda_nextButton.png")

# set the root password
wait("anaconda_setRootPasswordPrompt.png")

type("anaconda_rootPasswordTextbox.png", root_password)
type("anaconda_confirmRootPasswordTextbox.png", root_password)
click("anaconda_nextButton.png")

# allow weak passwords
if exists("anaconda_weakPasswordWarningDialog.png"):
    click("anaconda_useAnywayButton.png")
    
# partitioning time!
click("anaconda_storage_useAllSpaceIcon.png")
click("anaconda_nextButton.png")

waitVanish("anaconda_examiningStorageDevicesDialog.png")
wait("anaconda_storage_confirmWriteChangesToDiskDialog.png", 60)
click("anaconda_writeChangesToDisk.png")

wait("anaconda_packages_customizeNowDescription.png", 600)

# lets just do a basic grapical desktop, no customization
click("anaconda_packages_graphicalDesktop.png")
click("anaconda_nextButton.png")

# and now we wait for the installation process to be done
# waiting 20 minutes
wait("anaconda_finishedRebootButton.png", 1200)
click("anaconda_finishedRebootButton.png")
    